Bug 146208 - Improve the source code generated by make_names.pl
Summary: Improve the source code generated by make_names.pl
Status: REOPENED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Zan Dobersek
URL:
Keywords:
Depends on: 146276
Blocks:
  Show dependency treegraph
 
Reported: 2015-06-22 10:02 PDT by Zan Dobersek
Modified: 2016-07-24 06:57 PDT (History)
9 users (show)

See Also:


Attachments
Patch (12.65 KB, patch)
2015-06-22 10:41 PDT, Zan Dobersek
no flags Details | Formatted Diff | Diff
Patch (12.65 KB, patch)
2015-06-24 11:02 PDT, Zan Dobersek
no flags Details | Formatted Diff | Diff
WIP patch (10.89 KB, patch)
2016-07-24 06:53 PDT, Zan Dobersek
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Zan Dobersek 2015-06-22 10:02:50 PDT
Improve the source code generated by make_names.pl
Comment 1 Zan Dobersek 2015-06-22 10:41:18 PDT
Created attachment 255354 [details]
Patch
Comment 2 Zan Dobersek 2015-06-24 05:20:06 PDT
Comment on attachment 255354 [details]
Patch

Clearing flags on attachment: 255354

Committed r185906: <http://trac.webkit.org/changeset/185906>
Comment 3 Zan Dobersek 2015-06-24 05:20:13 PDT
All reviewed patches have been landed.  Closing bug.
Comment 4 WebKit Commit Bot 2015-06-24 06:06:13 PDT
Re-opened since this is blocked by bug 146276
Comment 5 Csaba Osztrogonác 2015-06-24 06:40:18 PDT
(In reply to comment #2)
> Comment on attachment 255354 [details]
> Patch
> 
> Clearing flags on attachment: 255354
> 
> Committed r185906: <http://trac.webkit.org/changeset/185906>

Additionally it made all layout and performance tests crash on the EFL bots:
- https://build.webkit.org/builders/EFL%20Linux%2064-bit%20Release%20WK2/builds/22711
- https://build.webkit.org/builders/EFL%20Linux%2064-bit%20Release%20WK2%20%28Perf%29/builds/5989
Comment 6 Zan Dobersek 2015-06-24 11:02:18 PDT
Created attachment 255492 [details]
Patch

Now uses std::tuple_size<>::value to get the size of the std::array objects.
Comment 7 Csaba Osztrogonác 2015-06-24 12:42:19 PDT
(In reply to comment #6)
> Created attachment 255492 [details]
> Patch
> 
> Now uses std::tuple_size<>::value to get the size of the std::array objects.

Tests still crash on EFL with this patch. :-/
Comment 8 Csaba Osztrogonác 2015-06-25 01:38:25 PDT
Comment on attachment 255492 [details]
Patch

Please don't land it before fixing the crashes on EFL.
If I can help debugging this issue, just ping me on IRC.
Comment 9 Zan Dobersek 2015-07-24 22:02:47 PDT
(In reply to comment #8)
> Comment on attachment 255492 [details]
> Patch
> 
> Please don't land it before fixing the crashes on EFL.
> If I can help debugging this issue, just ping me on IRC.

Can you attach a backtrace of the crash that's happening on a clean build with this patch applied?
Comment 10 Csaba Osztrogonác 2015-07-25 01:28:49 PDT
(In reply to comment #9)
> (In reply to comment #8)
> > Comment on attachment 255492 [details]
> > Patch
> > 
> > Please don't land it before fixing the crashes on EFL.
> > If I can help debugging this issue, just ping me on IRC.
> 
> Can you attach a backtrace of the crash that's happening on a clean build
> with this patch applied?

Why isn't enough what the buildbot produced?
https://bugs.webkit.org/show_bug.cgi?id=146208#c5
Comment 11 Zan Dobersek 2015-07-26 02:20:25 PDT
(In reply to comment #10)
> (In reply to comment #9)
> > (In reply to comment #8)
> > > Comment on attachment 255492 [details]
> > > Patch
> > > 
> > > Please don't land it before fixing the crashes on EFL.
> > > If I can help debugging this issue, just ping me on IRC.
> > 
> > Can you attach a backtrace of the crash that's happening on a clean build
> > with this patch applied?
> 
> Why isn't enough what the buildbot produced?
> https://bugs.webkit.org/show_bug.cgi?id=146208#c5

I can't produce the issue myself on the EFL port, testing a clean build produced with GCC 4.8.
Comment 12 Csaba Osztrogonác 2015-07-27 01:46:57 PDT
(In reply to comment #11)
> I can't produce the issue myself on the EFL port, testing a clean build
> produced with GCC 4.8.

I'll check a clean build with this patch soon. ( in 1-2 hours )
Comment 13 Csaba Osztrogonác 2015-07-27 03:51:46 PDT
(In reply to comment #12)
> (In reply to comment #11)
> > I can't produce the issue myself on the EFL port, testing a clean build
> > produced with GCC 4.8.
> 
> I'll check a clean build with this patch soon. ( in 1-2 hours )

I still get the same crashes as the bot with this patch
on Ubuntu 15.04 (GCC 4.9) and no crash without the patch.

Gyuyoung, have you got any idea what can be the problem here?
Comment 14 Zan Dobersek 2016-07-24 06:53:10 PDT
Created attachment 284445 [details]
WIP patch
Comment 15 WebKit Commit Bot 2016-07-24 06:57:19 PDT
Attachment 284445 [details] did not pass style-queue:


ERROR: Source/WebCore/ChangeLog:8:  You should remove the 'No new tests' and either add and list tests, or explain why no new tests were possible.  [changelog/nonewtests] [5]
Total errors found: 1 in 5 files


If any of these errors are false positives, please file a bug against check-webkit-style.